import Auth from '@/views/layout/auth';
import rootRouter from './router-root';

type metaType = {
  isRegister: boolean;
};

export default [
  {
    path: '/',
    component: Auth,
    children: [
      {
        path: '/login',
        name: 'login',
        component: () => import('@/views/layout/login'),
        meta: {
          isRegister: false
        } as metaType
      },
      {
        path: '/order-detail',
        component: () => import('@/views/student-register/order-detail'),
        meta: {
          title: '订单详情'
        }
      },
      {
        path: '/shopAddress',
        name: 'shopAddress',
        component: () => import('@/views/student-register/shop-address/index'),
        meta: {
          title: '支付详情'
        }
      },
      {
        path: '/addressOperation',
        name: 'addressOperation',
        component: () =>
          import('@/views/student-register/shop-address/address-operation'),
        meta: {
          title: '收货地址'
        }
      },
      {
        path: '/member-center',
        name: 'member-center',
        component: () => import('@/views/member-center/index'),
        meta: {
          title: '会员中心'
        }
      }
    ]
  },
  ...rootRouter
];
